<?php

namespace WPDesk\FakturyKSEF\Api\Requests;

class GetAuthStatusRequest implements KsefRequestInterface {

	private string $reference_number;


	public function __construct( string $reference_number ) {
		$this->reference_number = $reference_number;
	}

	public function get_method(): string {
		return 'GET';
	}

	public function get_uri(): string {
		return sprintf( '/v2/auth/%s', $this->reference_number );
	}

	public function get_body(): array {
		return [];
	}

	public function requires_auth(): bool {
		return true;
	}
}
